#target photoshop

function selectLayersByIds(layerIds) {
    var desc = new ActionDescriptor();
    var ref = new ActionReference();
    for (var i = 0; i < layerIds.length; i++) {
        ref.putIdentifier(charIDToTypeID('Lyr '), layerIds[i]);
    }
    desc.putReference(charIDToTypeID('null'), ref);
    desc.putBoolean(charIDToTypeID('MkVs'), false); // Change this to true if you want to make the layers visible
    executeAction(charIDToTypeID('slct'), desc, DialogModes.NO);
}

// 在这里输入你想要选择的图层ID列表
var layerIds = [5]; // 示例：替换为你的图层ID

selectLayersByIds(layerIds);

// 获取当前活动文档
var doc = app.activeDocument;

// 获取当前选定的图层
var selectedLayer = doc.activeLayer;

// 初始化变量 v
var v = "";

// 检查是否有选中图层
if (selectedLayer) {
    var layerName = selectedLayer.name;
    v += layerName + ","; // 将图层名称保存到变量 v 中，并用英文逗号隔开
} else {
    v += "没有选定任何图层,"; // 如果没有选中图层，则赋予默认值，并用英文逗号隔开
}

// 检查是否有选中图层
if (selectedLayer) {
    v += selectedLayer.visible; // 将图层的可见性保存到变量 v 中
} else {
    v += "null"; // 或者可以设定一个默认值，比如 false，表示未选择图层时可见性为 false
}

// 输出变量 v 的值
v;
