// 函数，检查当前选择的图层的图层名是否包含指定文字
function checkSelectedLayerName() {
    var doc = app.activeDocument; // 获取当前活动的文档
    var selectedLayer = doc.activeLayer; // 获取当前选择的图层
    var layerName = selectedLayer.name; // 获取当前选择的图层的图层名

    // 判断图层名是否包含指定文字
    var containsExclusion = layerName.indexOf("排除") !== -1;

    return containsExclusion; // 返回是否包含指定文字的布尔值
}

// 运行函数并获取结果
var v = checkSelectedLayerName();
// 现在 v 变量中保存了当前选择的图层图层名是否包含“排除”两个字的结果，true 或 false
v;
