var isNewDocument;
var v = "";

try {
  var doc = app.activeDocument;
  doc.fullName; // 尝试获取文件名
  isNewDocument = false; // 如果成功获取文件名，则不是新建的文档
} catch (error) {
  isNewDocument = true; // 获取文件名失败，说明是新建的文档
}

// 根据isNewDocument的值执行不同的代码
if (isNewDocument) {
  // 运行代码1（针对新建的文档）
  // 获取用户桌面路径
  v = Folder.desktop.fsName;
} else {
  // 运行代码2（针对已保存的文档）
  // 获取当前文档对象
  var currentDoc = app.activeDocument;

  // 获取当前文档完整路径
  var filePath = currentDoc.fullName;

  // 获取当前文档所在文件夹路径
  var folderPath = filePath.parent;

  // 保留原始路径
  v = folderPath.fsName;
}

// 输出变量 v
v;
