#target photoshop

// 创建一个函数来获取所有一级图层的图层ID
function getAllTopLevelLayerIDs() {
    var doc = app.activeDocument;
    var layerIDs = [];
    
    // 遍历所有图层
    for (var i = 0; i < doc.layers.length; i++) {
        var layer = doc.layers[i];
        
        // 获取图层ID
        var layerID = layer.id;
        
        // 添加到列表中
        layerIDs.push(layerID);
    }
    
    return layerIDs;
}

// 调用函数并获取所有一级图层的图层ID
var topLayerIDs = getAllTopLevelLayerIDs();

// 输出图层ID列表到变量v
var v = topLayerIDs;

// 在控制台打印变量v，以便查看输出结果
$.writeln("一级图层的图层ID列表:");
$.writeln(v);
v;