$$#target photoshop

// 函数：根据图层ID选择图层
function selectLayersByIds(layerIds) {
    var desc = new ActionDescriptor();
    var ref = new ActionReference();
    for (var i = 0; i < layerIds.length; i++) {
        ref.putIdentifier(charIDToTypeID('Lyr '), layerIds[i]);
    }
    desc.putReference(charIDToTypeID('null'), ref);
    desc.putBoolean(charIDToTypeID('MkVs'), false); // Change this to true if you want to make the layers visible
    executeAction(charIDToTypeID('slct'), desc, DialogModes.NO);
}

// 在这里输入你想要选择的图层ID列表
var layerIds = [{单图层项}]; // 示例：替换为你的图层ID

// 执行第一段代码：选择指定图层
selectLayersByIds(layerIds);

// 获取当前活动文档
var doc = app.activeDocument;

// 获取当前选定的图层
var selectedLayer = doc.activeLayer;

// 定义变量 v 来保存图层名称
var v;

// 检查是否有图层被选定
if (selectedLayer) {
    var layerName = selectedLayer.name;
    v = layerName; // 将图层名称保存到变量 v 中
} else {
    v = "没有选定任何图层。"; // 如果没有选中图层，则赋予默认值
}

// 输出变量 v 的值
v;
